when built-in SVGs are added to a composer layout paths should be relative to the install directory
Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14042

Description

When a built in SVG is used as a layer symbol, the path is stored in the .qgs file as a path relative to the QGIS install directory, regardless

of whether the project is configured to use absolute paths or relative paths.  This is good, as it means the project file is portable between

instances of QGIS installed on different platforms or in different directories.

When a built in SVG is added to a composer layout using the "add image" button, the path to the SVG is currently stored in the .qgs file as

an absolute path or as a path relative to the .qgs file, depending on the project configuration.  This is bad - if you open the composer

layout on a system where QGIS is installed to a different location then the SVG is missing.  If the SVG is built in, the path should be stored

relative to the QGIS install directory.  If the SVG is in one of the user-defined paths then it should be stored relative to that location.

The code changes for #3154 might be a helpful reference

History

#1 - 2011-08-29 11:00 PM - Paolo Cavallini

- Category set to 33

- Pull Request or Patch supplied set to No

#2 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#8 - 2014-04-23 04:42 PM - Alister Hood
When a built in SVG is added to a composer layout using the "add image" button, the path to the SVG is currently stored in the .qgs file as an

absolute path or as a path relative to the .qgs file, depending on the project configuration.

Now it is always stored as an absolute path.

#9 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

test_svg_paths.zip 8.85 KB 2011-07-06 Alister Hood
